ASP.NET 5

Vote:
 

Hi!

Just wanted you ask what your view on ASP.NET 5 is? Is it on your roadmap to migrate to it? ASP.NET 5 is planned to be released Q1 2016. Will we see an ASP.NET 5 based EPiServer version in 2016?

#140221
Oct 13, 2015 18:33
Vote:
 

There's already a thread about that here http://world.episerver.com/Modules/Forum/Pages/Thread.aspx?id=123618.

It won't happen anytime soon. But I guess there will be ASP.NET 4.6 support soon.

#140233
Oct 13, 2015 23:15
Vote:
 

I just tried and 4.6 are already works, at least for a Alloy project.

I have one that are runnit it

<package id="EPiServer.CMS" version="9.1.0" targetFramework="net46" />
<package id="EPiServer.CMS.Core" version="9.1.0" targetFramework="net46" />
<package id="EPiServer.CMS.UI" version="9.2.0" targetFramework="net46" />
<package id="EPiServer.CMS.UI.Core" version="9.2.0" targetFramework="net46" />
<package id="EPiServer.Framework" version="9.1.0" targetFramework="net46" />
<package id="EPiServer.Logging.Log4Net" version="2.0.0" targetFramework="net46" />
<package id="EPiServer.Packaging" version="3.2.3" targetFramework="net46" />
<package id="EPiServer.Packaging.UI" version="3.2.3" targetFramework="net46" />
<package id="EPiServer.Search" version="8.0.0" targetFramework="net46" />

#140239
Oct 14, 2015 9:22
Vote:
 

It's good to hear that ASP.NET 4.6 works, but it's ASP.NET 5 that I'm interested in. ASP.NET 5 contains a bunch fantastic (although breaking) changes like configuration in json files instead of the current Web.config + configSource mess. It also contains quite drastic performance improvements.

@Johan: You say that "It won't happen anytime soon". Does that mean that ASP.NET 5 support is not something that is currently being worked on? Is it even on the radar for future development?

EDIT: Sorry! I missed the link to the thread discussing it.

#140240
Edited, Oct 14, 2015 9:44
Vote:
 
<p>The config files are probably the least problem. There's a lot of stuff missing from the new&nbsp;framework and everything is rewritten... which would render in a complete rewrite of EPiServer.</p> <p>Of cource they're looking into it, just as you and I do. But I can't imagine that it is on the roadmap yet.</p>
#140241
Oct 14, 2015 9:51
Vote:
 

When you say that a lot of stuff is missing from the new framework, do you mean that .NET Core is missing stuff or that ASP.NET 5 is missing stuff? It would be incredible if EPiServer was only dependant on .NET Core and not the full .NET Framework (enabling Mac and Linux development/deployment) but I realize that would be an even bigger undertaking than just moving to ASP.NET 5 + Full .NET framework.

#140242
Oct 14, 2015 10:00
Vote:
 

I'm referring to .NET Core. Sure, MVC 6 would be nice to have... maybe that's one way to transition to CoreCLR.

#140247
Oct 14, 2015 10:12
Vote:
 

Ah, that makes sense. I'm not expecting EPiServer to ever be compatible with just .NET Core (even if I would cry of joy if it were). But there's a huge amount of nice things in ASP.NET 5 (and MVC 6), and I'm really hoping that this is something the EPiServer folks are working on/looking at.

#140248
Oct 14, 2015 10:17
Vote:
 

Hi,

As an insider what I can say is that we have been working to make our products ASP.NET 5-compatible. But it won't be released any time soon.

Regards,

/Q

#140262
Oct 14, 2015 13:43
Vote:
 

That's fantastic to hear! Could you elaborate on what "ASP.NET 5-compatible" or is that not something you want to share just yet?

#140290
Oct 15, 2015 8:42
Vote:
 

Hi,

I can't say much, but the first step will be making our products run on ASP.NET 5. This will involve some legacy parts such as Admin mode in CMS and Commerce Manager in Commerce, as well as some internal works (project formats, tests etc). Then we will try to embrace new features of ASP.NET 5.

Regards,

/Q

#140292
Oct 15, 2015 9:18
Vote:
 

We are working on ASP.NET Core support at the moment. Check-out https://world.episerver.com/blogs/martin-ottosen/dates/2019/12/asp-net-core-beta-program/ for more information.

#211082
Edited, Dec 17, 2019 13:20
* You are NOT allowed to include any hyperlinks in the post because your account hasn't associated to your company. User profile should be updated.